Skip to main content
Get Job Profile Data

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

FlowClient Credentials
Token URL
https://techwolf.eu.auth0.com/oauth/token
Scopes1
read
allows reading resources

Path Parameters

job_external_id
string<uuid>
required

Unique ID linked to a Job, consisting of alphanumeric characters, hyphens and underscores. The unique ID in your system, consisting of alphanumeric characters, hyphens and underscores.

Required string length: 1 - 100
Pattern: [a-zA-Z0-9_-]+
Example:

"a3903505-eb84-42dc-a79f-5e7b1fe897b7"

job_profile_data_external_id
string<uuid>
required

Unique ID linked to a Job Profile Data, consisting of alphanumeric characters, hyphens and underscores. The unique ID in your system, consisting of alphanumeric characters, hyphens and underscores.

Required string length: 1 - 100
Pattern: [a-zA-Z0-9_-]+
Example:

"a3903505-eb84-42dc-a79f-5e7b1fe897b7"

Response

OK

Default structure for Job Profile Data.

external_id
string<uuid>
required

The unique ID in your system, consisting of alphanumeric characters, hyphens and underscores.

Required string length: 1 - 100
Pattern: [a-zA-Z0-9_-]+
Example:

"a3903505-eb84-42dc-a79f-5e7b1fe897b7"

data_type
enum<string>
required

Type of the Job Profile Data.

Available options:
job_description,
job_title,
vacancy,
skill_notes,
skill_profile_feedback
Example:

"job_description"

timestamp
required

The completion date (in IS08601 format) of the Skill Event. From this point on, the Job Profile is considered to have the Skills of this Event.

Example:

"2025-05-02"

source
string
required

The source of the Job Profile Data.

Required string length: 1 - 255
Example:

"Workday"

data
job_description_content · object
required

The content of the Job Profile Data. The content should align with the data_type.